ReformulationUtility
Keywords: uk.ac.bbk.dcs.automed.qproc.reformulate.ReformulationUtility class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.reformulate
Class ReformulationUtility

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.reformulate.ReformulationUtility

    public class ReformulationUtility

extends java.lang.Object

Constructor Summary
`ReformulationUtility()`

Method Summary
`static Cell` | `mergeViews(Cell view1, Cell view2, int rangeSemantics)` merge: RangexRange -> Range merge (Range e11 e12) (Range e21 e22) = Range (union e11 e21) (intersect e12 e22)
`static void` | `updateSchemaRef(Cell n, Schema aSchema)` Forces the schema reference for a Cell tree to the given schema.
`static void` | `updateSchemeInfo(Cell c, Schema cellSchema)` Helper method for `updateSchemeInfo(SchemeInfo, Schema)`.
`static void` | `updateSchemeInfo(SchemeInfo si, Schema cellSchema)` Update a Scheme info by contacting low-level SchemaObject API.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReformulationUtility

    public ReformulationUtility()

Method Detail

### mergeViews

    public static Cell mergeViews(Cell view1,
                                  Cell view2,
                                  int rangeSemantics)

          merge: RangexRange -> Range
          merge (Range e11 e12) (Range e21 e22) = Range (union e11 e21) (intersect e12 e22)

  Parameters:
    `view1` -
    `view2` -
    `rangeSemantics` -
  Returns:

### updateSchemeInfo

    public static void updateSchemeInfo(SchemeInfo si,
                                        Schema cellSchema)
                                 throws NotFoundException

  Update a Scheme info by contacting low-level SchemaObject API. This method provides a scheme info with all the information stored about an object in the repository.

  Parameters:
    `si` - SchemeInfo object to be updated
    `cellSchema` - Schema on which the SchemeInfo object is to be asserted.
  Throws:
    `NotFoundException` - Thrown if the SchemaObject with the given SchemeInfo does not exist in the given Schema.

### updateSchemeInfo

    public static void updateSchemeInfo(Cell c,
                                        Schema cellSchema)
                                 throws NotFoundException

  Helper method for `updateSchemeInfo(SchemeInfo, Schema)`. It treats the Cell object as a tree and updates all the SchemeInfo objects found in the tree.

  Parameters:
    `c` - Root cell of the tree
    `cellSchema` - {link `updateSchemeInfo(SchemeInfo, Schema)`
  Throws:
    `NotFoundException`

### updateSchemaRef

    public static void updateSchemaRef(Cell n,
                                       Schema aSchema)

  Forces the schema reference for a Cell tree to the given schema.

  Parameters:
    `n` - Root cell of a comprehension or Cell tree.
    `aSchema` - New schema reference.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD